-- 新加坡行政级次改名
update t_bd_admindivisionlevel  set fname='区' where fname='市' and fid='801';
update t_bd_admindivisionlevel_l set fname='区' where fname='市' and fid='801' and  flocaleid='zh_CN';
update t_bd_admindivisionlevel_l set fname='區' where fname='市' and fid='801' and  flocaleid='zh_TW';

-- 新加坡预置数据新增
DELETE FROM t_bd_preset_version WHERE FID = 1100001;
INSERT INTO t_bd_preset_version(FID,FCREATETIME,FSOURCE,FISSENDTOADMIN,FVERSIONNUM,FCREATORID,FISUPDATE) VALUES (1100001,{ts'2023-09-05  00:00:00'},'bd_admindivision_sg','0','admindivision-202309-05',1,'0');

DELETE FROM t_bd_preset_version_l WHERE FPKID = '1100001';
INSERT INTO t_bd_preset_version_l(FID,FPKID,FLOCALEID,FGUIDEINFO) VALUES (1100001,'1100001','zh_CN','<p>本更新基于《GB_T 2659.1-2022 世界各国和地区及其行政区划名称代码 第2部分：行政区划代码》，更新内容主要如下：<p style="text-indent: 2em">1. 新增新加坡行政区划5条。</p> 请根据您的实际使用情况和当前数据，使用本向导查阅更新内容并自主选择要更新的数据执行操作。');

DELETE FROM T_BD_ADMINDIVISIONPRE WHERE FID = 1766571825430681600;
INSERT INTO T_BD_ADMINDIVISIONPRE(FFULLSPELL,FCOUNTRYID,FDESCRIPTION,FMASTERID,FADMINDIVISIONLVID,FCREATETIME,FAREACODE,FENABLE,FLEVEL,FLONGNUMBER,FFULLNAME,FISSYSTEM,FDISABLERID,FID,FCITYNUMBER,FDISABLEDATE,FPARENTID,FISCITY,FSTATUS,FNUMBER,FNAME,FISLEAF,FMODIFIERID,FMODIFYTIME,FSIMPLESPELL,FCREATORID) VALUES ('Central Singapore',1000008,' ',1766571825430681600,801,{ts'2023-09-04  00:00:00'},' ','1',1,'SG-01','中部','1',0,1766571825430681600,' ',NULL,0,'0','C','SG-01','中部','1',1,{ts'2023-09-04  00:00:00'},'Central Singapore',1);
DELETE FROM T_BD_ADMINDIVISIONPRE WHERE FID = 1766572075218262016;
INSERT INTO T_BD_ADMINDIVISIONPRE(FFULLSPELL,FCOUNTRYID,FDESCRIPTION,FMASTERID,FADMINDIVISIONLVID,FCREATETIME,FAREACODE,FENABLE,FLEVEL,FLONGNUMBER,FFULLNAME,FISSYSTEM,FDISABLERID,FID,FCITYNUMBER,FDISABLEDATE,FPARENTID,FISCITY,FSTATUS,FNUMBER,FNAME,FISLEAF,FMODIFIERID,FMODIFYTIME,FSIMPLESPELL,FCREATORID) VALUES ('North East',1000008,' ',1766572075218262016,801,{ts'2023-09-04  00:00:00'},' ','1',1,'SG-02','东北','1',0,1766572075218262016,' ',NULL,0,'0','C','SG-02','东北','1',1,{ts'2023-09-04  00:00:00'},'North East',1);
DELETE FROM T_BD_ADMINDIVISIONPRE WHERE FID = 1766572334107483136;
INSERT INTO T_BD_ADMINDIVISIONPRE(FFULLSPELL,FCOUNTRYID,FDESCRIPTION,FMASTERID,FADMINDIVISIONLVID,FCREATETIME,FAREACODE,FENABLE,FLEVEL,FLONGNUMBER,FFULLNAME,FISSYSTEM,FDISABLERID,FID,FCITYNUMBER,FDISABLEDATE,FPARENTID,FISCITY,FSTATUS,FNUMBER,FNAME,FISLEAF,FMODIFIERID,FMODIFYTIME,FSIMPLESPELL,FCREATORID) VALUES ('North West',1000008,' ',1766572334107483136,801,{ts'2023-09-04  00:00:00'},' ','1',1,'SG-03','西北','1',0,1766572334107483136,' ',NULL,0,'0','C','SG-03','西北','1',1,{ts'2023-09-04  00:00:00'},'North West',1);
DELETE FROM T_BD_ADMINDIVISIONPRE WHERE FID = 1766572593894284288;
INSERT INTO T_BD_ADMINDIVISIONPRE(FFULLSPELL,FCOUNTRYID,FDESCRIPTION,FMASTERID,FADMINDIVISIONLVID,FCREATETIME,FAREACODE,FENABLE,FLEVEL,FLONGNUMBER,FFULLNAME,FISSYSTEM,FDISABLERID,FID,FCITYNUMBER,FDISABLEDATE,FPARENTID,FISCITY,FSTATUS,FNUMBER,FNAME,FISLEAF,FMODIFIERID,FMODIFYTIME,FSIMPLESPELL,FCREATORID) VALUES ('South East',1000008,' ',1766572593894284288,801,{ts'2023-09-04  00:00:00'},' ','1',1,'SG-04','东南 ','1',0,1766572593894284288,' ',NULL,0,'0','C','SG-04','东南 ','1',1,{ts'2023-09-04  00:00:00'},'South East',1);
DELETE FROM T_BD_ADMINDIVISIONPRE WHERE FID = 1766572870802233344;
INSERT INTO T_BD_ADMINDIVISIONPRE(FFULLSPELL,FCOUNTRYID,FDESCRIPTION,FMASTERID,FADMINDIVISIONLVID,FCREATETIME,FAREACODE,FENABLE,FLEVEL,FLONGNUMBER,FFULLNAME,FISSYSTEM,FDISABLERID,FID,FCITYNUMBER,FDISABLEDATE,FPARENTID,FISCITY,FSTATUS,FNUMBER,FNAME,FISLEAF,FMODIFIERID,FMODIFYTIME,FSIMPLESPELL,FCREATORID) VALUES ('South West',1000008,' ',1766572870802233344,801,{ts'2023-09-04  00:00:00'},' ','1',1,'SG-05','西南','1',0,1766572870802233344,' ',NULL,0,'0','C','SG-05','西南','1',1,{ts'2023-09-04  00:00:00'},'South West',1);

DELETE FROM T_BD_ADMINDIVISIONPRE_L WHERE FPKID = '3J+GBO64V1BJ';
INSERT INTO T_BD_ADMINDIVISIONPRE_L(FID,FPKID,FLOCALEID,FSIMPLENAME,FDESCRIPTION,FFULLNAME,FNAME) VALUES (1766571825430681600,'3J+GBO64V1BJ','zh_CN',' ',' ','中部','中部');
DELETE FROM T_BD_ADMINDIVISIONPRE_L WHERE FPKID = '3J+GBO64V1BK';
INSERT INTO T_BD_ADMINDIVISIONPRE_L(FID,FPKID,FLOCALEID,FSIMPLENAME,FDESCRIPTION,FFULLNAME,FNAME) VALUES (1766571825430681600,'3J+GBO64V1BK','zh_TW',' ',' ','中部','中部');
DELETE FROM T_BD_ADMINDIVISIONPRE_L WHERE FPKID = '3J+GDH3MD78I';
INSERT INTO T_BD_ADMINDIVISIONPRE_L(FID,FPKID,FLOCALEID,FSIMPLENAME,FDESCRIPTION,FFULLNAME,FNAME) VALUES (1766572075218262016,'3J+GDH3MD78I','zh_CN',' ',' ','东北','东北');
DELETE FROM T_BD_ADMINDIVISIONPRE_L WHERE FPKID = '3J+GDH3MD78J';
INSERT INTO T_BD_ADMINDIVISIONPRE_L(FID,FPKID,FLOCALEID,FSIMPLENAME,FDESCRIPTION,FFULLNAME,FNAME) VALUES (1766572075218262016,'3J+GDH3MD78J','zh_TW',' ',' ','東北','東北');
DELETE FROM T_BD_ADMINDIVISIONPRE_L WHERE FPKID = '3J+GFCOYAJIE';
INSERT INTO T_BD_ADMINDIVISIONPRE_L(FID,FPKID,FLOCALEID,FSIMPLENAME,FDESCRIPTION,FFULLNAME,FNAME) VALUES (1766572334107483136,'3J+GFCOYAJIE','zh_CN',' ',' ','西北','西北');
DELETE FROM T_BD_ADMINDIVISIONPRE_L WHERE FPKID = '3J+GFCOYAJIF';
INSERT INTO T_BD_ADMINDIVISIONPRE_L(FID,FPKID,FLOCALEID,FSIMPLENAME,FDESCRIPTION,FFULLNAME,FNAME) VALUES (1766572334107483136,'3J+GFCOYAJIF','zh_TW',' ',' ','西北','西北');
DELETE FROM T_BD_ADMINDIVISIONPRE_L WHERE FPKID = '3J+GH9ICH5GG';
INSERT INTO T_BD_ADMINDIVISIONPRE_L(FID,FPKID,FLOCALEID,FSIMPLENAME,FDESCRIPTION,FFULLNAME,FNAME) VALUES (1766572593894284288,'3J+GH9ICH5GG','zh_CN',' ',' ','东南 ','东南 ');
DELETE FROM T_BD_ADMINDIVISIONPRE_L WHERE FPKID = '3J+GH9ICH5GH';
INSERT INTO T_BD_ADMINDIVISIONPRE_L(FID,FPKID,FLOCALEID,FSIMPLENAME,FDESCRIPTION,FFULLNAME,FNAME) VALUES (1766572593894284288,'3J+GH9ICH5GH','zh_TW',' ',' ','東南 ','東南 ');
DELETE FROM T_BD_ADMINDIVISIONPRE_L WHERE FPKID = '3J+GJ=7D4CWE';
INSERT INTO T_BD_ADMINDIVISIONPRE_L(FID,FPKID,FLOCALEID,FSIMPLENAME,FDESCRIPTION,FFULLNAME,FNAME) VALUES (1766572870802233344,'3J+GJ=7D4CWE','zh_CN',' ',' ','西南','西南');
DELETE FROM T_BD_ADMINDIVISIONPRE_L WHERE FPKID = '3J+GJ=7D4CWF';
INSERT INTO T_BD_ADMINDIVISIONPRE_L(FID,FPKID,FLOCALEID,FSIMPLENAME,FDESCRIPTION,FFULLNAME,FNAME) VALUES (1766572870802233344,'3J+GJ=7D4CWF','zh_TW',' ',' ','西南','西南');


